## rhscon-agent 0.0.19

=== debian/control ===
Source: rhscon-agent
Maintainer: Ken Dreyer <kdreyer@redhat.com>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 7.4.3),
 dh-python,
 dh-systemd,
 python-all,
 python-pytest,
 python-setuptools
Standards-Version: 3.9.5
X-Python-Version: >=2.7

Package: rhscon-agent
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 bc,
 collectd,
 python-cpopen,
 python-dbus,
 python-gobject-2,
 salt-minion (>= 2015.5.5),
 storaged,
 storaged-lvm2,
 socat
Description: SKYNET is the event agent for SKYRING. Each storage node managed
 by SKYRING will have this agent running on them. It is a daemon which listens
 to DBUS signals, filters it, processes it and pushes the filtered signals to
 SKYRING using salt-stack event framework. Currently this daemon has
 capability to send basic storage, process and network related events.
